<?php
session_start();
include_once('../../config/#Config.php');
if (!$_SESSION['UserName']) {
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if (!$_POST['IDCard'] && !$_POST['user']) {
    die('Không xác nhận được thông tin thẻ cào.');
} else {
    // check nhân vật
        // check thẻ tồn tại hay không
        $get_card = mysqli_query($conn, "Select * From logscardlt WHERE ID = '" . $_POST['IDCard'] . "' and UserName = '" . $_POST['user'] . "'");
        if (mysqli_num_rows($get_card)) {
            // get info card
            $info_get_card = mysqli_fetch_array($get_card, MYSQLI_ASSOC);
            // thành công
            if ($_POST['SET'] == 1) {
                // Lấy tỉ lệ nạp
                // thêm mốc nạp lần đầu
                $get_CountNnap = mysqli_query($conn, "Select * From logscardlt WHERE UserName = '" . $_POST['user'] . "' and Active = 1");
                if (!mysqli_num_rows($get_CountNnap)) {
                    mysqli_query($conn, "UPDATE account_web Set NapDau = 1 WHERE Account = '" . $_POST['user'] . "'");
                }
            $get_AA = mysqli_query($conn, "Select StatusCard,Message_Card From config_setting WHERE ID = 1");
			$tile = 0;
			if(mysqli_num_rows($get_AA)){
				$get_AA = mysqli_fetch_array($get_AA, MYSQLI_ASSOC);
				if($get_AA['StatusCard'] != 0){
					$tile = $get_AA['StatusCard'];
				}
			}
			$amount = $info_get_card['Money'] * $tile;				
                mysqli_query($conn, "UPDATE account_web Set TienThat = TienThat + " . $amount. " WHERE Account = '" . $_POST['user'] . "'");
                    mysqli_query($conn, "UPDATE logscardlt Set Active = " . $_POST['SET'] . " WHERE UserName = '" . $_POST['user'] . "' and PlayerID = '" . $_POST['playerid'] . "' and ID = '" . $_POST['IDCard'] . "' and Server = '".$_POST['sv']."'");
                    // success
                    die('0');
            } else {
                mysqli_query($conn, "UPDATE logscardlt Set Active = " . $_POST['SET'] . " WHERE UserName = '" . $_POST['user'] . "' and ID = '" . $_POST['IDCard'] . "'");
                die(0);
            }
        } else {
            die('Không tìm thấy dữ liệu Thẻ cào này');
        }
}